//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Details of the country
 * 
 * <p>Java class for Country complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Country"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Name" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="DerivedFlag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="ISO3166Code" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Country", propOrder = {
    "name",
    "derivedFlag",
    "iso3166Code"
})
public class Country {

    @XmlElement(name = "Name")
    protected StringL name;
    @XmlElement(name = "DerivedFlag", defaultValue = "false")
    protected Boolean derivedFlag;
    @XmlElement(name = "ISO3166Code")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String iso3166Code;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setName(StringL value) {
        this.name = value;
    }

    /**
     * Gets the value of the derivedFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isDerivedFlag() {
        return derivedFlag;
    }

    /**
     * Sets the value of the derivedFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDerivedFlag(Boolean value) {
        this.derivedFlag = value;
    }

    /**
     * Gets the value of the iso3166Code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getISO3166Code() {
        return iso3166Code;
    }

    /**
     * Sets the value of the iso3166Code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setISO3166Code(String value) {
        this.iso3166Code = value;
    }

}
